#include <bits/stdc++.h>

using namespace std;

int a,b,x,y;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>a>>b;
    cin>>x>>y;
    if(a-x>b-y && b-y==0)cout<<"prvi"<<'\n';
    else if(a-x<b-y && a-x==0)cout<<"drugi"<<'\n';
    else if(a-x==b-y && a-x==0 && b-y==0)cout<<"nijedan"<<'\n';
    else cout<<"?"<<'\n';
    return 0;
}